pcl::QuantizedMap Class Reference

`#include <pcl/recognition/quantized_map.h>`

## Public Member Functions

| QuantizedMap ()
| QuantizedMap (size_t width, size_t height)
| QuantizedMap (const QuantizedMap &copy_me)
virtual | ~QuantizedMap ()
size_t | getWidth () const
size_t | getHeight () const
unsigned char * | getData ()
const unsigned char * | getData () const
QuantizedMap | getSubMap (size_t x, size_t y, size_t width, size_t height)
void | resize (size_t width, size_t height)
unsigned char & | operator() (const size_t x, const size_t y)
const unsigned char & | operator() (const size_t x, const size_t y) const
void | serialize (std::ostream &stream) const
void | deserialize (std::istream &stream)

## Static Public Member Functions

static void | spreadQuantizedMap (const QuantizedMap &input_map, QuantizedMap &output_map, size_t spreading_size)

## Public Attributes

std::vector< unsigned char > | data_
size_t | width_
size_t | height_

## Detailed Description

Definition at line 46 of file quantized_map.h.

## Constructor & Destructor Documentation

pcl::QuantizedMap::QuantizedMap | ( |  | ) |

pcl::QuantizedMap::QuantizedMap | ( | size_t | width,
|  | size_t | height
| ) |  |

pcl::QuantizedMap::QuantizedMap | ( | const QuantizedMap & | copy_me | ) |

virtual pcl::QuantizedMap::~QuantizedMap | ( |  | ) |

virtual

## Member Function Documentation

void pcl::QuantizedMap::deserialize | ( | std::istream & | stream | ) |

inline

Definition at line 126 of file quantized_map.h.

unsigned char* pcl::QuantizedMap::getData | ( |  | ) |

inline

Definition at line 63 of file quantized_map.h.

Referenced by pcl::ColorGradientDOTModality< PointInT >::computeDominantQuantizedGradients(), pcl::ColorGradientDOTModality< PointInT >::computeInvariantQuantizedMap(), pcl::ColorGradientModality< PointInT >::filterQuantizedColorGradients(), pcl::ColorModality< PointInT >::filterQuantizedColors(), and pcl::SurfaceNormalModality< PointInT >::filterQuantizedSurfaceNormals().

const unsigned char* pcl::QuantizedMap::getData | ( |  | ) | const

inline

Definition at line 66 of file quantized_map.h.

size_t pcl::QuantizedMap::getHeight | ( |  | ) | const

inline

Definition at line 60 of file quantized_map.h.

QuantizedMap pcl::QuantizedMap::getSubMap | ( | size_t | x,
|  | size_t | y,
|  | size_t | width,
|  | size_t | height
| ) |  |

inline

Definition at line 69 of file quantized_map.h.

size_t pcl::QuantizedMap::getWidth | ( |  | ) | const

inline

Definition at line 57 of file quantized_map.h.

unsigned char& pcl::QuantizedMap::operator() | ( | const size_t | x,
|  | const size_t | y
| ) |  |

inline

Definition at line 94 of file quantized_map.h.

const unsigned char& pcl::QuantizedMap::operator() | ( | const size_t | x,
|  | const size_t | y
| ) |  | const

inline

Definition at line 100 of file quantized_map.h.

void pcl::QuantizedMap::resize | ( | size_t | width,
|  | size_t | height
| ) |  |

Referenced by pcl::SurfaceNormalModality< PointInT >::computeAndQuantizeSurfaceNormals(), pcl::SurfaceNormalModality< PointInT >::computeAndQuantizeSurfaceNormals2(), pcl::ColorGradientDOTModality< PointInT >::computeDominantQuantizedGradients(), pcl::ColorGradientDOTModality< PointInT >::computeInvariantQuantizedMap(), pcl::ColorGradientModality< PointInT >::filterQuantizedColorGradients(), pcl::ColorModality< PointInT >::filterQuantizedColors(), pcl::SurfaceNormalModality< PointInT >::filterQuantizedSurfaceNormals(), pcl::ColorGradientModality< PointInT >::quantizeColorGradients(), pcl::ColorModality< PointInT >::quantizeColors(), and pcl::SurfaceNormalModality< PointInT >::quantizeSurfaceNormals().

void pcl::QuantizedMap::serialize | ( | std::ostream & | stream | ) | const

inline

Definition at line 109 of file quantized_map.h.

static void pcl::QuantizedMap::spreadQuantizedMap | ( | const QuantizedMap & | input_map,
|  | QuantizedMap & | output_map,
|  | size_t | spreading_size
| ) |  |

static

Referenced by pcl::ColorModality< PointInT >::processInputData(), pcl::ColorGradientModality< PointInT >::processInputData(), pcl::SurfaceNormalModality< PointInT >::processInputData(), pcl::ColorGradientModality< PointInT >::processInputDataFromFiltered(), and pcl::SurfaceNormalModality< PointInT >::processInputDataFromFiltered().

## Member Data Documentation

std::vector<unsigned char> pcl::QuantizedMap::data_

Definition at line 148 of file quantized_map.h.

size_t pcl::QuantizedMap::height_

Definition at line 150 of file quantized_map.h.

size_t pcl::QuantizedMap::width_

Definition at line 149 of file quantized_map.h.

The documentation for this class was generated from the following file:

- /build/pcl-0nnAvv/pcl-1.7.2/recognition/include/pcl/recognition/quantized_map.h